Bug 1368536 - OSP9/10 upgrade fail to restart nova-scheduler,api,...
Summary: OSP9/10 upgrade fail to restart nova-scheduler,api,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M3
: 10.0 (Newton)
Assignee: Jiri Stransky
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-08-19 16:49 UTC by Sofer Athlan-Guyot
Modified: 2016-12-29 16:57 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160823140311.072404b.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:52:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 358006 None None None 2016-08-19 16:54:47 UTC
Launchpad 1615042 None None None 2016-08-19 16:49:33 UTC

Description Sofer Athlan-Guyot 2016-08-19 16:49:33 UTC
Description of problem: description in the upstream bug.

Comment 2 Sofer Athlan-Guyot 2016-08-19 16:54:48 UTC
Adding link to review.

Comment 3 Sofer Athlan-Guyot 2016-08-29 21:17:46 UTC
Hi,

after a OSP9/10 major upgrade the nova-scheduler fails to start with:

      2016-08-19 16:16:08.712 15444 ERROR nova ProgrammingError: (pymysql.err.ProgrammingError) (1146, u"Table 'nova_api.aggregates' doesn't exist") [SQL: u'SELECT aggregates.created_at AS aggregates_created_at, aggregates.updated_at AS aggregates_updated_at, aggregates.id AS aggregates_id, aggregates.uuid AS aggregates_uuid, aggregates.name AS aggregates_name, aggregate_hosts_1.created_at AS aggregate_hosts_1_created_at, aggregate_hosts_1.updated_at AS aggregate_hosts_1_updated_at, aggregate_hosts_1.id AS aggregate_hosts_1_id, aggregate_hosts_1.host AS aggregate_hosts_1_host, aggregate_hosts_1.aggregate_id AS aggregate_hosts_1_aggregate_id, aggregate_metadata_1.created_at AS aggregate_metadata_1_created_at, aggregate_metadata_1.updated_at AS aggregate_metadata_1_updated_at, aggregate_metadata_1.id AS aggregate_metadata_1_id, aggregate_metadata_1.`key` AS aggregate_metadata_1_key, aggregate_metadata_1.value AS aggregate_metadata_1_value, aggregate_metadata_1.aggregate_id AS aggregate_metadata_1_aggregate_id \nFROM aggregates LEFT OUTER JOIN aggregate_hosts AS aggregate_hosts_1 ON aggregates.id = aggregate_hosts_1.aggregate_id LEFT OUTER JOIN aggregate_metadata AS aggregate_metadata_1 ON aggregates.id = aggregate_metadata_1.aggregate_id']
2016-08-19 16:16:08.712 15444 ERROR nova

Running

    nova-manage api_db sync

make it works again.

Comment 5 mlammon 2016-11-08 21:33:16 UTC
Deploy OSP 9 and upgrade OSP 10 on 7 NOV 16

Deploy Command:
openstack overcloud deploy --debug \
--templates \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
--neutron-network-type vxlan \
--neutron-tunnel-types vxlan \
--control-scale 3 \
--control-flavor controller-d75f3dec-c770-5f88-9d4c-3fea1bf9c484 \--compute-scale 1 \
--compute-flavor compute-b634c10a-570f-59ba-bdbf-0c313d745a10 \
--ceph-storage-scale 1 \
--ceph-storage-flavor ceph-cf1f074b-dadb-5eb8-9eb0-55828273fab7 \
-e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml \
-e /home/stack/virt/ceph.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/hostnames.yml \
-e /home/stack/virt/debug.yaml \
--log-file overcloud_deployment_59.log &> overcloud_install.log


This issue was not encountered.

Environment file:
openstack-tripleo-heat-templates-5.0.0-1.2.el7ost.noarch

Comment 8 errata-xmlrpc 2016-12-14 15:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.